Notes
Create note for lead
Creates a note for the specified lead
POST
/
api
/
{portfolio}
/
portfolios
/
v1
/
notes
/
lead
/
{leadUuid}
Create note for lead
curl --request POST \
--url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/notes/lead/{leadUuid} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"noteText": "Lead interested in 2-bedroom unit"
}
'import requests
url = "https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/notes/lead/{leadUuid}"
payload = { "noteText": "Lead interested in 2-bedroom unit" }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({noteText: 'Lead interested in 2-bedroom unit'})
};
fetch('https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/notes/lead/{leadUuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"noteUuid": "123e4567-e89b-12d3-a456-426614174000"
}Headers
Api key required to authenticate your request. Please reach out to monument for a key.
Example:
"monument-2230012-2312321"
Path Parameters
Body
application/json
Note text content
Maximum string length:
1500Example:
"Lead interested in 2-bedroom unit"
Response
Note created successfully
UUID of the created note
Example:
"123e4567-e89b-12d3-a456-426614174000"
Previous
List promotion UUIDsRetrieves a list of Promotion UUIDs for a facility, optionally filtered by date ranges and unit group UUID.
Next
⌘I
Create note for lead

